Start maintenance mode
- POST /platform/infrastructure/constructors/{constructor_id}/maintenance-mode/_start
Start maintenance mode of a constructor. It will stop constructing new plans while continuing with on-going ones.
Path Parameters
-
constructor_idstringrequired -
Identifier for the constructor
Responses
The start maintenance mode command was issued successfully
Response Type: EmptyResponse
The start maintenance mode command was prohibited for the given constructor. (code: constructors.command_prohibited)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The constructor specified by {constructor_id} cannot be found. (code: constructors.constructor_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response